@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
  /* scroll-padding-top: 8rem; */
}

body {
  font-family: 'Poppins', sans-serif;
  background: #f9f7f7;
  color: #111827;
  overflow-x: hidden;
}

/* NAVBAR */

.navbar {
  width: 100%;
  padding: 1.25rem 8%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9999;

  display: flex;
  justify-content: space-between;
  align-items: center;

  background: rgba(255, 255, 255, 0.9);
  backdrop-filter: blur(0.75rem);
  border-bottom: 0.0625rem solid rgba(0, 0, 0, 0.08);

  transition: all 0.3s ease;
}

.navbar.scrolled {
  background: rgb(255, 255, 255, 0.95);
  box-shadow: 0 5px 20px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(12px);

}

.logo {
  font-size: 1.8rem;
  font-weight: 700;
  color: #2563eb;
}

.nav-links {
  display: flex;
  gap: 35px;
  list-style: none;
}

.nav-links a {
  color: #111827;
  text-decoration: none;
  transition: 0.3s;
  font-weight: 500;
}

.nav-links a:hover {
  color: #2563eb;
}

.nav-btn {
  padding: 12px 24px;
  background: linear-gradient(135deg, #38bdf8, #2563eb);
  border-radius: 40px;
  color: white;
  text-decoration: none;
  font-weight: 600;
  transition: 0.3s;
  position: relative;
  z-index: 10000;

  margin-left: 25px;
  margin-right: 20px;
}

/* 
.nav-btn:hover{
  transform: translateY(-4px);
} */

/* HERO */

.hero {
  min-height: 100vh;
  display: flex;
  align-items: center;
  padding: 7rem 8% 5rem;

  background:
    linear-gradient(rgba(0, 0, 0, 0.55),
      rgba(0, 0, 0, 0.75)),
    url('https://images.unsplash.com/photo-1518770660439-4636190af475?q=80&w=1600&auto=format&fit=crop');

  background-size: cover;
  background-position: center;
}

.hero-content {
  max-width: 1300px;
  position: relative;
  z-index: 2;


}

/* HERO HEADING */

.head {
  color: white;
  font-size: clamp(1.5rem, 3vw, 4rem);
  font-weight: 500;
  line-height: 1.1;
  margin-bottom: 2rem;

  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
}

.mainline {
  margin-bottom: 0.625rem;
  font-size: clamp(1.5rem, 3vw, 4em);
  line-height: 1.5;

  display: flex;
  align-items: center;
  white-space: nowrap;
  gap: 8px;
  margin-left: 8px;
  position: relative;
  padding-bottom: 2px;
  width: max-content;
}

.line1,
.line2,
.line3 {
  display: inline-block;
}

.highlight {
  color: #38bdf8;
}

.box {
  background: linear-gradient(135deg, #38bdf8, #2563eb);
  padding: 1px 0.5rem;
  border-radius: 12px;
  line-height: 1.2;
  margin-right: 5px;
  display: inline-block;

}

.underline {
  margin-top: 10px;
  display: inline;
  line-height: 1.5;
  padding: 15px;
}

/* .underline::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 2px;
  background: linear-gradient(to right, #38bdf8, #2563eb);
  border-radius: 20px;
  pointer-events: none;
} */

/* SLIDING TEXT */
.window {
  height: 95px;
  overflow: hidden;
  display: inline-block;
  vertical-align: middle;
}

.active-text {
  display: flex;
  flex-direction: column;
  animation: slide 10s infinite alternate-reverse;
}

.active-text span {
  height: 90px;
  display: flex;
  align-items: center;
  color: #38bdf8;

  /* margin-right: rem; */
}

/* ANIMATION */

@keyframes slide {

  0% {
    transform: translateY(0);
  }

  20% {
    transform: translateY(0);
  }

  25% {
    transform: translateY(-90px);
  }

  45% {
    transform: translateY(-90px);
  }

  50% {
    transform: translateY(-180px);
  }

  70% {
    transform: translateY(-180px);
  }

  75% {
    transform: translateY(-270px);
  }

  95% {
    transform: translateY(-270px);
  }

  100% {
    transform: translateY(0);
  }
}


/* HERO TEXT */

.hero-text {
  max-width: 700px;
  font-size: 1.15rem;
  color: #e5e7eb;
  line-height: 1.9;
  margin-bottom: 40px;
}

/* BUTTONS */

.hero-buttons {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
}

.primary-btn,
.secondary-btn {
  padding: 15px 30px;
  border-radius: 50px;
  text-decoration: none;
  font-weight: 600;
  transition: 0.3s;
}

.primary-btn {
  background: linear-gradient(135deg, #38bdf8, #2563eb);
  color: white;
}

.secondary-btn {
  border: 2px solid #38bdf8;
  color: #38bdf8;
  background: rgba(255, 255, 255, 0.05);
}

/* .primary-btn:hover,
.secondary-btn:hover{
  transform: translateY(-5px);
} */

/* COMMON SECTION */

section {
  padding: 8rem 8%;
  scroll-margin-top: 8rem;
  min-height: 80vh;
}

.section-title {
  text-align: center;
  font-size: 2.5rem;
  margin-bottom: 20px;
  font-weight: 600;
}

.section-subtitle {
  text-align: center;
  max-width: 100%;
  margin: auto;
  color: #474a4f;
  line-height: 1.8;
  margin-bottom: 55px;
}



/* SECTION BACKGROUNDS */
/* #home{
  padding: 9rem 8%;
} */


/* ABOUT CARDS */
#about {
  background: white;
  scroll-margin-top: 8rem;
  padding: 4rem 8%;
  font-family: 'Inter', sans-serif;
  /* font-family: 'Poppins', sans-serif; */
  /* max-width: 1300px; */
}

.about-cards {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
  gap: 1rem;
}

.card-content {
  position: relative;
  background: white;
  padding: 40px 32px;
  border-radius: 16px;
  overflow: hidden;
  transition: all 0.3s ease;
}

.card-content::before {
  content: '';
  position: absolute;
  inset: 0;
  border-radius: inherit;
  padding: 1px;

  /* background:
    linear-gradient(to bottom,
      rgba(0, 123, 255, 1) 0%,
      rgba(0, 123, 255, 0.6) 50%,
      rgba(0, 123, 255, 0) 100%); */

  background: linear-gradient(180deg,
      rgba(59, 130, 246, 0.9) 0%,
      rgba(59, 130, 246, 0.35) 45%,
      rgba(59, 130, 246, 0.08) 75%,
      rgba(59, 130, 246, 0) 100%);

  -webkit-mask:
    linear-gradient(#fff 0 0) content-box,
    linear-gradient(#fff 0 0);
  mask:
    linear-gradient(#fff 0 0) content-box,
    linear-gradient(#fff 0 0);


  -webkit-mask-composite: xor;
  mask-composite: exclude;
  pointer-events: none;

}

.card-content::after {
  content: '';
  position: absolute;
  inset: 0;
  border-radius: inherit;
  border: 1px solid rgba(59, 130, 246, 0.6);
  opacity: 0;
  transition: opacity 0.3s ease;
  pointer-events: none;
}

.card-content:hover {
  transform: translateY(-1px);
  box-shadow: 0 20px 40px rgba(0, 0, 0, 0.05),
    0 8px 16px rgba(0, 0, 0, 0.04)
}

.card-content:hover::after {
  opacity: 1;
}

.card-content::before {
  transition: opacity 0.35s ease;
}

.card-content:hover::before {
  opacity: 0.7;
  transition: opacity 0.35s ease;
}

.card-content h3 {
  margin-bottom: 10px;
  font-weight: 500;
  color: #111827;
}

.card-content p {
  margin: 0;
}

.about-text {
  color: #5b6472;
  line-height: 1.9;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.75;
  letter-spacing: 0.2px;
}

.about-text span {
  display: block;
  margin-top: 12px;
  opacity: 0.9;
}


/* services cards */
#services {
  padding: 100px 8%;
  background: #f8fafc;
}

.cards {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
  gap: 1.5rem;
  margin-top: 3rem;
  align-items: stretch;
}

.card {
  position: relative;
  background: #fff;
  padding: 2rem;
  border-radius: 20px;
  overflow: hidden;
  border: 1px solid #7b9ee2;
  transition: all 0.3s ease;

  display: flex;
  flex-direction: column;
  height: 100%;
  gap: 12px;
}

.card:hover {
  border-color: #cbd5e1;
  box-shadow: 0 12px 20px rgba(15, 23, 42, 0.08),
}

.card:hover::after {
  opacity: 1;
}

.card h3 {
  font-size: 1.2rem;
  margin-bottom: 15px;
  color: #111827;

}

.card p {
  color: #64748b;
  line-height: 1.7;
  margin-bottom: 1.5rem;

}

#services {
  background: #eef4ff;
  scroll-margin-top: 2rem;
  padding: 1.5rem 8%;
}

.service-list {
  display: grid;
  grid-template-columns: 1fr;
  gap: 0.8rem;
  padding: 0;
  margin-top: auto;
}

.service-list span {
  display: block;
  width: 100%;
  padding: 8px 14px;
  border-radius: 999px;
  background: #f1f5f9;
  color: #475569;
  font-size: 0.85rem;
  border: 1px solid #e2e8f0;

  transition: 0.25s ease;
  margin-top: auto;
}

.service-list span:hover {
  background: #eaf2ff;
  border-color: #3b82f6;
  transform: translateX(4px);
}


/* PROJECTS */

#projects {
  background: white;
  padding: 2rem 8%;
  min-height: 60vh;

}

.project-grid {

  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 30px;
}

.project-card {
  padding: 40px 30px;
  border-radius: 24px;
  background: white;
  border: 1px solid #dbe4f0;
  /* transition: 0.4s; */
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.05);
}

.project-card:hover {
  /* transform: translateY(-10px); */
  transform: scale(1.03);
  border-color: #38bdf8;
}

.project-card h3 {
  margin-bottom: 15px;
  font-size: 1rem;
}

.project-card p {
  color: #4b5563;
  line-height: 1.8;
}

/* CONTACT */

#contact {
  background: #dae1ed;
  scroll-margin-top: rem;
  padding: 0.5rem 5%;
}

.contact-form {
  max-width: 500px;
  margin: auto;
  display: flex;
  flex-direction: column;
  gap: 11px;
}

#contact .section-title {
  text-align: center;
  font-size: 2.5rem;
  margin-bottom: 10px;
  font-weight: 600;

}

#contact .section-subtitle {
  text-align: center;
  max-width: 100%;
  margin: auto;
  color: #474a4f;
  line-height: 1.5;
  margin-bottom: 20px;
  font-size: 1rem;


}
.contact-form input,
.contact-form textarea {
  width: 100%;
  padding: 18px;
  border-radius: 15px;
  background: white;
  color: #111827;
  outline: none;
  font-size: 1rem;
  border: 1px solid #dbe4f0;
  font-family: 'Inter', sans-serif;
}

.contact-form textarea {
  min-height: 160px;
  resize: none;
}

.contact-form button {
  padding: 16px;
  border: none;
  border-radius: 50px;
  background: linear-gradient(135deg, #38bdf8, #2563eb);
  color: white;
  font-size: 1rem;
  font-weight: 600;
  cursor: pointer;
  transition: 0.3s;

 
}

input :focus,
textarea :focus {
  transform: scale(1.01);
}

/* .contact-form button:hover{
  transform: translateY(-5px);
} */


/* FOOTER */

footer {
  padding: 1rem 3%;
  text-align: center;
  background: #0f172a;
  color: white;
}

footer h2 {
  margin-bottom: 15px;
  color: #38bdf8;
}

footer p {
  color: #cbd5e1;
  max-width: 650px;
  margin: 0 auto 25px;
  line-height: 1.8;
}

.footer-links,
.footer-socials {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 20px;
  margin-bottom: 20px;
}

.footer-links a,
.footer-socials a {
  color: #cbd5e1;
  text-decoration: none;
  transition: 0.3s;
}

.footer-links a:hover,
.footer-socials a:hover {
  color: #38bdf8;
}

.footer-bottom {
  margin-top: 1.5rem;
  padding-top: 1.5rem;
  border-top: 1px solid #1e293b;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}

.footer-bottom p {
  margin: 0;
  color: #64748b;
  text-align: center;
}


.mobile-consultation {
  display: none;
}

.overlay {
  position: fixed;
  inset: 0;

  background: rgba(0, 0, 0, 0.25);
  backdrop-filter: blur(8px);
  -webkit-backdrop-filter: blur(8px);

  opacity: 0;
  visibility: hidden;

  z-index: 999;
}

.overlay.active {
  opacity: 1;
  visibility: visible;
}





@media (max-width: 1300px) and (min-width: 769px) {

  /* NAVBAR */
  .navbar {
    padding: 1.25rem 5%;
  }

  .nav-links {
    gap: 22px;
  }

  .nav-btn {
    padding: 10px 18px;
  }


  /* HERO */
  .hero {
    padding: 7rem 5% 5rem;
  }

  .hero-content {
    max-width: 100%;
    width: 100%;
  }

  .head {
    gap: 5px;
  }

  .mainline {
    font-size: clamp(1.5rem, 2.8vw, 3rem);
    gap: 5px;
    margin-left: 0;
  }

  .window {
    height: 75px;
  }

  .active-text span {
    height: 75px;
    font-size: 0.9em;
  }

  .hero-text {
    max-width: 650px;
    font-size: 1rem;
  }

}





/* RESPONSIVE */

@media(max-width:768px) {
  .logo {
    font-size: 1.5rem;
  }


  .nav-links {
    position: fixed;
    top: 80px;
    left: 50%;

    width: 90%;
    background: white;

    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
    padding: 30px 10px;

    opacity: 0;
    visibility: hidden;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.12);
    z-index: 10000;

    background: rgba(0, 0, 0, 0.92);
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);

    border: 1px solid rgba(255, 255, 255, 0.03);
    border-radius: 24px;

    opacity: 0;
    visibility: hidden;

    transform: translateX(-50%) translateY(-40px) scale(0.98);
    transition:
      transform 0.15s ease,
      opacity 0.15s ease;
  }

  .nav-links.active {
    opacity: 1;
    visibility: visible;

    transform: translateX(-50%) translateY(0) scale(1);
  }

  .nav-links a {
    color: #ffffff;
    font-weight: 500;
    text-decoration: none;
  }


  .nav-btn {
    display: none;
  }

  .mobile-consultation {
    margin-top: 20px;
    /* list-style: none; */
    display: block;
  }

  .menu-btn {
    padding: 12px 24px;
    background: linear-gradient(135deg, #38bdf8, #2563eb);
    border-radius: 15px;
    color: white !important;
    text-decoration: none;
    font-weight: 600;
    transition: 0.3s;

  }

  .navbar {
    position: fixed;
    gap: 20px;
    padding-left: 30px;
  }

  .hamburger {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5px;
    cursor: pointer;
    z-index: 10001;
  }

  .hamburger span {
    width: 25px;
    height: 3px;
    background: #111827;
    border-radius: 10px;
  }

  .hamburger.active span:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
  }

  .hamburger.active span:nth-child(2) {
    opacity: 0;
  }

  .hamburger.active span:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
  }




  .hero {
    padding: 120px 5%;
    margin-top: 3rem;
    font-size: clamp(1rem, 3.5vw, 1.5rem);

  }

  .head {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    white-space: normal;
    padding-bottom: 20px;
    margin-top: 20px;
    gap: 10px;
    height: auto;

  }

  .mainline {
    font-size: clamp(2.5rem, 5vw, 2rem);
    white-space: nowrap;
    height: auto;
    text-align: center;

    display: flex;
    flex-direction: column;
    align-items: center;

    gap: 4px;
    margin-bottom: 8px;
  }

  .line1,
  .line2,
  .line3 {
    display: block;
    font-size: 2.5rem;
    line-height: 1.2;
    margin: 0;
  }

  .underline {
    display: block;
    text-align: center;
    white-space: nowrap;
    gap: 1px;
    height: auto;
    font-size: 2rem
  }

  .window {
    display: block;
    justify-content: center;
    align-items: center;
    text-align: center;
    overflow: hidden;

    margin-left: 0.02rem;
    font-size: 2.2rem;
    width: auto;
    height: 3rem;
    margin-top: 0;

  }

  .active-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;

    align-items: center;
    animation: slide 10s infinite ease-in-out;

  }

  .active-text span {
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    height: 3rem;

    line-height: 2.2rem;
    font-size: inherit;
  }

  .box {
    padding: 0 8px;
    font-size: 2rem;
  }




  .section-title {
    font-size: 2.2rem;

  }

  .hero-text {
    font-size: 1.2rem;
    white-space: normal;
    text-align: center;
  }

  .hero-buttons {
    flex-direction: row;
    gap: 10px;
    justify-content: center;
  }

  .primary-btn,
  .secondary-btn {
    padding: 0 18px;
    font-size: 0.85rem;
    width: auto;
    min-width: 100px;

    box-sizing: border-box;
    white-space: nowrap;

    height: 48px;
    min-height: 48px;

    display: flex;
    justify-content: center;
    align-items: center;
  }



  .about-cards {
    grid-template-columns: 1fr;
    gap: 15px;
    font-size: 1rem;
  }

  .card-content {
    padding: 20px;
    font-size: 1rem;
  }

  .cards {
    grid-template-columns: 1fr;
    font-size: 1rem;
  }

  .service-list {
    display: flex;
    flex-direction: column;
    gap: 6px;
    font-size: 1rem;

  }

  .project-grid {
    grid-template-columns: 1fr;
    font-size: 1rem;
  }

  .contact-form {
    width: 100%;
  }

  .footer-nav {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin: 25px 0;
  }

  .footer-links,
  .footer-socials {
    display: flex;
    flex-direction: column;
    gap: 10px;
  }

  .footer-links {
    align-items: flex-start;
  }

  .footer-socials {
    align-items: flex-end;
  }

  @keyframes slide {

    0%,
    20% {
      transform: translateY(0);
    }

    25%,
    45% {
      transform: translateY(-3rem);
    }

    50%,
    70% {
      transform: translateY(-6rem);
    }

    75%,
    95% {
      transform: translateY(-9rem);
    }

    100% {
      transform: translateY(0);
    }
  }
}